# Uses of Class
javax.smartcardio.CardTerminals

Packages that use CardTerminals
Package
Description
javax.smartcardio
Java™ Smart Card I/O API.

## Uses of CardTerminals in javax.smartcardio

Methods in javax.smartcardio that return CardTerminals
Modifier and Type
Method
Description
`protected abstract CardTerminals`
TerminalFactorySpi.`engineTerminals()`
Returns the CardTerminals created by this factory.
`CardTerminals`
TerminalFactory.`terminals()`
Returns a new CardTerminals object encapsulating the terminals supported by this factory.